Subject: [BEHAVE] symmetric NAT - an idea

From: Peter Dambier <[email-masked]>
Date: Sun, 30 Nov 2008 23:52:14 +0100

I just had a nightmare about an out of memory message
from my router.

Imagine an ISP cannot store his routing tables any longer.

I remember prefix allocation practices ...
don't suggest easy aggregation.

Suppose my ISP implements two symmetric NAT66 boxes.
One towards his peers and the other towards me.

The boxes symmetrically translate prefixes but nothing else -
breaking checksums and everything.

Agregating works perfectly but I guess snooping by authorities
might result in headaches.

After that second NAT66 my address is repaired, so is my headder.
My application wont even notice.

So how about symmetric address translation without any change
to the headers or data.

Kind regards
Peter

- --
Peter and Karin Dambier
Cesidian Root - Radice Cesidiana
Rimbacher Strasse 16
D-69509 Moerlenbach-Bonsweiher
+49(6209)795-816 (Telekom)
+49(6252)750-308 (VoIP: sipgate.de)
mail: [email-masked]
http://www.peter-dambier.de/
http://iason.site.voila.fr/
https://sourceforge.net/projects/iason/
_______________________________________________
Behave mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/behave